syntax = "proto3";
option go_package = ".;pb";

message UserInfo {
  string uid = 1;    //用户id
  string name = 2;   //昵称
  string avatar = 3; // 头像
  int32 lv = 4;      //等级
}

//月之秘境
message DBMoonFantasy {
  string id = 1;                 //@go_tags(`bson:"_id"`) ID
  string uid = 2;                //用户id
  string monster = 3;            //怪物id
  int64 ctime = 4;               //创建时间
  repeated UserInfo join = 5;    //参与人数
  int32 numup = 6;               //人数上限
  int32 unitmup = 7;             //单人可挑战次数
  int64 expir = 8;               //过期时间
  map<string, int32> record = 9; //挑战记录
}

//用户参与的月之秘境列表
message DBUserMFantasy {
  string id = 1;        //@go_tags(`bson:"_id"`) ID
  string uid = 2;       //用户id
  int32 triggerNum = 3; //@go_tags(`bson:"triggerNum"`)   月之秘境触发次数
  // int32 ticket = 4;     //@go_tags(`bson:"ticket"`)挑战券
  int32 buyNum = 5;    //@go_tags(`bson:"buyNum"`)   月之秘境挑战次数
  int64 lastTrigger = 6; //@go_tags(`bson:"lastTrigger"`)  月之秘境最后触发时间
  int64 lastrtickettime = 7;//@go_tags(`bson:"lastrtickettime"`)  最后回复劵时间
}

//RPC 触发请求
message RPCTargetMFReq {
  string uid = 1;       //用户id
  string boosid = 2;            //怪物id
}